lucy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Anil Pachuri <anilpach...@yahoo.com>
Subject Re: [lucy-user] Installing SWISH::3 on windows
Date Tue, 21 May 2013 07:14:58 GMT

--- On Fri, 5/17/13, Peter Karman <peter@peknet.com> wrote:

From: Peter Karman <peter@peknet.com>
Subject: Re: [lucy-user] Installing SWISH::3 on windows
To: user@lucy.apache.org
Date: Friday, May 17, 2013, 11:36 AM

On 5/17/13 4:09 AM, Anil Pachuri wrote:
> Hi,
> I tried to install SWISH::3 module on Windows 7 (with Strawberry Perl) but unable to
do so. Here are the steps I followed:
> Step 1: Install Libxml2 based on the following guide: http://supportweb.cs.bham.ac.uk/documentation/tutorials/docsystem/build/tutorials/docbooksys/segmentedhtml/ch03s03.html
. Tried this (http://www.perlmonks.org/?node_id=801107) as well but got a pod error on this
one.
> The directory, 'C:\strawberry\c\bin' is set in the path and this directory contains libxml2
files such as, xml2-config, xmllint.exe and others.
> Step 2: I then tried to install SWISH::3 using CPANM module(cpanm SWISH::3), and get
the following error:------------------------------------------------------------------------------cpanm
(App::cpanminus) 1.6915 on perl 5.016002 built for MSWin32-x64-multi-threadWork directory
is C:\Users\Anil/.cpanm/work/1368778988.784You have make C:\strawberry\c\bin\dmake.exeYou
have LWP 6.04Falling back to Archive::Tar 1.90Searching SWISH::3 on cpanmetadb ...--> Working
on SWISH::3Fetching http://www.cpan.org/authors/id/K/KA/KARMAN/SWISH-3-1.000006.tar.gz->
OKUnpacking SWISH-3-1.000006.tar.gzEntering SWISH-3-1.000006Checking configure dependencies
from META.jsonChecking if you have ExtUtils::MakeMaker 0 ... Yes (6.63_02)Configuring SWISH-3-1.000006Running
Makefile.PLusing xml2-config
> Missing one or more dependencies.
> You must have libxml2 installed in order to buildSWISH::3. If you have it installed,
set the LIBSWISH3_PATH environment variable or make sure 'xml2-config' are in your PATH.
> -> N/AChecking dependencies from MYMETA.json ...Checking if you have Test::More 0
... Yes (0.98)Checking if you have ExtUtils::MakeMaker 0 ... Yes (6.63_02)Checking if you
have Data::Dump 0 ... Yes (1.21)-> FAIL Configure failed for SWISH-3-1.000006. See C:\Users\Anil\.cpanm\build.log
for details.
> I don't quite understand the error as libxml2 appear to be installed and 'xml2-config'
is in the path.
> Any suggestions on how to go about installing SWISH::3 on Windows 7?
> Thank you,AP
> 


Hi Anil,

SWISH::3 is actually not a Lucy project; next time you may want to post this kind of thing
to the swish-e.org mailing list.

SWISH::3 is currently not supported for Windows. I think the install message is a bug, though,
and I'll try and put some platform detection in the Makefile.PL to fix it.

Thanks.

-- Peter Karman  .  http://peknet.com/  .  peter@peknet.com


Hi Peter,
Sorry about that, my apologies for posting this here. Just didn't realize along those lines
before posting, my bad!
Thanks much for clarifying about the installation. Hope to see a SWISH version from you for
windows though in future..:).
Best,AP

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message